//
//  PSBaseItems.m
//  ArmorP3V1
//

#import "PSBaseItems.h"
#import "PSItemType.h"
#import "PSItem.h"

@implementation PSBaseItems

@synthesize listEquipHead = _listEquipHead;
@synthesize listEquipBody = _listEquipBody;
@synthesize listEquipArm = _listEquipArm;
@synthesize listEquipWeist = _listEquipWeist;
@synthesize listEquipLeg = _listEquipLeg;
@synthesize listCharm = _listCharm;
@synthesize listDecoration = _listDecoration;

- (id)init
{
    self = [ super init ];
    if (self) {
        _listEquipHead = [[NSMutableArray alloc]init];
        _listEquipBody = [[NSMutableArray alloc]init];
        _listEquipArm = [[NSMutableArray alloc]init];
        _listEquipWeist = [[NSMutableArray alloc]init];
        _listEquipLeg = [[NSMutableArray alloc]init];
        _listCharm = [[NSMutableArray alloc]init];
        _listDecoration = [[NSMutableArray alloc]init];
    }
    return self;
}

-(void)dealloc {
    [_listEquipHead release];
    [_listEquipBody release];
    [_listEquipArm release];
    [_listEquipWeist release];
    [_listEquipLeg release];
    [_listCharm release];
    [_listDecoration release];
    [super dealloc];
}

- (NSMutableArray*)arrayByType:(NSInteger)index
{
    switch (index) {
        case ITEM_TYPE_HEAD:
            return _listEquipHead;
        case ITEM_TYPE_BODY:
            return _listEquipBody;
        case ITEM_TYPE_ARM:
            return _listEquipArm;
        case ITEM_TYPE_WEIST:
            return _listEquipWeist;
        case ITEM_TYPE_LEG:
            return _listEquipLeg;
        case ITEM_TYPE_CHARM:
            return _listCharm;
        case ITEM_TYPE_DECORATION:
            return _listDecoration;
    }
    return nil;
}


@end
